Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Acceptor_Registry.h File Reference

`#include "ace/Unbounded_Set.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Exception.h"`

Include dependency graph for Acceptor_Registry.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Acceptor_Registry
| Acceptor Registry and Generic Acceptor interface definitions. All loaded ESIOP or GIOP acceptor bridges must register with this object. More...
## Typedefs
typedef ACE_Unbounded_Set_Iterator< TAO_Protocol_Item * > | TAO_ProtocolFactorySetItor
typedef TAO_Acceptor ** | TAO_AcceptorSetIterator

## Detailed Description

Id:
  Acceptor_Registry.h,v 1.31 2003/10/28 18:29:12 bala Exp

Interface for the TAO pluggable protocol framework.

Author:
  Fred Kuhns <fredk@cs.wustl.edu> , Ossama Othman <ossama@uci.edu>

## Typedef Documentation

typedef TAO_Acceptor** TAO_AcceptorSetIterator

typedef ACE_Unbounded_Set_Iterator<TAO_Protocol_Item *> TAO_ProtocolFactorySetItor